package com.gyee.frame.controller.admin;

import com.github.pagehelper.PageInfo;
import com.gyee.frame.model.auto.SysArea;
import com.gyee.frame.model.auto.SysAreaExample;
import com.gyee.frame.model.auto.SysCity;
import com.gyee.frame.model.custom.TableSplitResult;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.service.SysAreaService;
import com.gyee.frame.service.SysCityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Api(value = "区域")
@Controller
@RequestMapping("/gyee-query/area")
public class TestController {
    @Resource
    private SysAreaService sysAreaService;

    @ApiOperation(value = "列表", notes = "区域列表")
    @GetMapping("/list")
    @ResponseBody
    public Object list(Tablepar tablepar, String searchText){

        SysAreaExample testExample=new SysAreaExample();
        List<SysArea> result=sysAreaService.selectByExample(testExample);
        return  result;
    }
}
