package com.gyee.frame.mapper.benchmarking;

import com.gyee.frame.model.benchmarking.PowerCompareDetail;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @ClassName : PowerCompareDetailMapper
 * @Author : xieshengjie
 * @Date: 2021/1/30 19:22
 * @Description : 风机绩效榜明细mapper
 */
public interface PowerCompareDetailMapper {
    public List<PowerCompareDetail> getDetailInfo(@Param("beginDate") Date beginDate, @Param("endDate") Date endDate, @Param("type") int type);

    public List<PowerCompareDetail> getDetailWtInfo(@Param("begin") Date begin, @Param("end") Date end, @Param("wpId") String wpId, @Param("pjId") String pjId, @Param("xlId") String xlId);
}
