package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.controller.singleanalysis.SingleAnalysisController;
import com.gyee.frame.model.custom.SingleAnalysisVo;
import com.gyee.frame.model.custom.Tablepar;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.List;
import java.util.Map;

public class SingleAnalysisTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);



        String wtId="MG01_03";
        String wpId="MHS_FDC";
        String year="2021";
        String month="1";

        SingleAnalysisController singleAnalysisController= SpringUtils.getBean("singleAnalysisController");

        Tablepar tablepar=new Tablepar();
        tablepar.setPageNum(1);
        tablepar.setPageSize(10);
        tablepar.setOrderByColumn("windturbineName");
        tablepar.setIsAsc("asc");



//        AjaxResult ar = singleAnalysisController.singleanalysisMain(tablepar,wpId,year,month);
//
//        List<SingleAnalysisVo> vos=( List<SingleAnalysisVo>)ar.get("data");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getXfqr()+"----------------"+wtd.getXfqrhgl());
//        }


//        AjaxResult ar = singleAnalysisController.singleanalysisSub(wtId,year,month);
//
//        Map<String,Object> map=( Map<String,Object>)ar.get("data");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getXfqr()+"----------------"+wtd.getXfqrhgl());
//        }

        AjaxResult ar = singleAnalysisController.singleanalysisChart(wtId,year,month);

        Map<String, List<SingleAnalysisVo>> map=( Map<String,List<SingleAnalysisVo>>)ar.get("data");
        List<SingleAnalysisVo> vos=map.get("ff");
        for(SingleAnalysisVo wtd:vos)
        {
            System.out.println(wtd.getFdl()+"----------------"+wtd.getFs());
        }

        System.out.println("---------------------------------------------------------------------------------");
        vos=map.get("ws");
        for(SingleAnalysisVo wtd:vos)
        {
            System.out.println(wtd.getGzss()+"----------------"+wtd.getJxss()+"----------------"+wtd.getXdss()
                    +"----------------"+wtd.getXnss()+"----------------"+wtd.getSlss());
        }
        System.out.println("---------------------------------------------------------------------------------");
        vos=map.get("jd");
        for(SingleAnalysisVo wtd:vos)
        {
            System.out.println(wtd.getJfpl()+"----------------"+wtd.getTjxs());
        }
    }




}
